CMSIS-Core (Cortex-A): Globals

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - i -

- IFSR_ExT_Msk : core_ca.h
- IFSR_ExT_Pos : core_ca.h
- IFSR_FS0_Msk : core_ca.h
- IFSR_FS0_Pos : core_ca.h
- IFSR_FS1_Msk : core_ca.h
- IFSR_FS1_Pos : core_ca.h
- IFSR_LPAE_Msk : core_ca.h
- IFSR_LPAE_Pos : core_ca.h
- IFSR_STATUS_Msk : core_ca.h
- IFSR_STATUS_Pos : core_ca.h
- IRQ_ClearPending() : irq_ctrl.h
- IRQ_CTRL_H_ : irq_ctrl.h
- IRQ_Disable() : irq_ctrl.h
- IRQ_Enable() : irq_ctrl.h
- IRQ_EndOfInterrupt() : irq_ctrl.h
- IRQ_GetActiveFIQ() : irq_ctrl.h
- IRQ_GetActiveIRQ() : irq_ctrl.h
- IRQ_GetEnableState() : irq_ctrl.h
- IRQ_GetHandler() : irq_ctrl.h
- IRQ_GetMode() : irq_ctrl.h
- IRQ_GetPending() : irq_ctrl.h
- IRQ_GetPriority() : irq_ctrl.h
- IRQ_GetPriorityGroupBits() : irq_ctrl.h
- IRQ_GetPriorityMask() : irq_ctrl.h
- IRQ_Initialize() : irq_ctrl.h
- IRQ_MODE : startup_ARMCA9.c
- IRQ_MODE_CPU_0 : irq_ctrl.h
- IRQ_MODE_CPU_1 : irq_ctrl.h
- IRQ_MODE_CPU_2 : irq_ctrl.h
- IRQ_MODE_CPU_3 : irq_ctrl.h
- IRQ_MODE_CPU_4 : irq_ctrl.h
- IRQ_MODE_CPU_5 : irq_ctrl.h
- IRQ_MODE_CPU_6 : irq_ctrl.h
- IRQ_MODE_CPU_7 : irq_ctrl.h
- IRQ_MODE_CPU_ALL : irq_ctrl.h
- IRQ_MODE_CPU_Msk : irq_ctrl.h
- IRQ_MODE_CPU_Pos : irq_ctrl.h
- IRQ_MODE_DOMAIN_Msk : irq_ctrl.h
- IRQ_MODE_DOMAIN_NONSECURE : irq_ctrl.h
- IRQ_MODE_DOMAIN_Pos : irq_ctrl.h
- IRQ_MODE_DOMAIN_SECURE : irq_ctrl.h
- IRQ_MODE_ERROR : irq_ctrl.h
- IRQ_MODE_MODEL_1N : irq_ctrl.h
- IRQ_MODE_MODEL_Msk : irq_ctrl.h
- IRQ_MODE_MODEL_NN : irq_ctrl.h
- IRQ_MODE_MODEL_Pos : irq_ctrl.h
- IRQ_MODE_TRIG_EDGE : irq_ctrl.h
- IRQ_MODE_TRIG_EDGE_BOTH : irq_ctrl.h
- IRQ_MODE_TRIG_EDGE_FALLING : irq_ctrl.h
- IRQ_MODE_TRIG_EDGE_RISING : irq_ctrl.h
- IRQ_MODE_TRIG_LEVEL : irq_ctrl.h
- IRQ_MODE_TRIG_LEVEL_HIGH : irq_ctrl.h
- IRQ_MODE_TRIG_LEVEL_LOW : irq_ctrl.h
- IRQ_MODE_TRIG_Msk : irq_ctrl.h
- IRQ_MODE_TRIG_Pos : irq_ctrl.h
- IRQ_MODE_TYPE_FIQ : irq_ctrl.h
- IRQ_MODE_TYPE_IRQ : irq_ctrl.h
- IRQ_MODE_TYPE_Msk : irq_ctrl.h
- IRQ_MODE_TYPE_Pos : irq_ctrl.h
- IRQ_PRIORITY_ERROR : irq_ctrl.h
- IRQ_PRIORITY_Msk : irq_ctrl.h
- IRQ_SetHandler() : irq_ctrl.h
- IRQ_SetMode() : irq_ctrl.h
- IRQ_SetPending() : irq_ctrl.h
- IRQ_SetPriority() : irq_ctrl.h
- IRQ_SetPriorityGroupBits() : irq_ctrl.h
- IRQ_SetPriorityMask() : irq_ctrl.h
- IRQHANDLER_T : irq_ctrl.h
- IRQHandler_t : irq_ctrl.h
- IRQN_ID_T : irq_ctrl.h
- IRQn_ID_t : irq_ctrl.h
- IRQn_Type : ARMCA9.h
- ISR_A_Msk : core_ca.h
- ISR_A_Pos : core_ca.h
- ISR_F_Msk : core_ca.h
- ISR_F_Pos : core_ca.h
- ISR_I_Msk : core_ca.h
- ISR_I_Pos : core_ca.h